Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 593875 - [abrt] crash in exaile-0.3.1.1-1.fc12: tray.py:213:remove_current_track:AttributeError: 'Playlist' object has no attribute 'remove_tracks'
[abrt] crash in exaile-0.3.1.1-1.fc12: tray.py:213:remove_current_track:Attri...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: exaile (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Deji Akingunola
Fedora Extras Quality Assurance
abrt_hash:9e5f1e0b
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-19 18:12 EDT by Jazbo
Modified: 2010-12-03 09:32 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 09:32:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (672 bytes, text/plain)
2010-05-19 18:12 EDT, Jazbo
no flags Details

  None (edit)
Description Jazbo 2010-05-19 18:12:36 EDT
abrt 1.0.9 detected a crash.

architecture: i686
cmdline: python /usr/lib/python2.6/site-packages/exaile/exaile.py --datadir=/usr/share/exaile/data --startgui
component: exaile
executable: /usr/lib/python2.6/site-packages/exaile/exaile.py
kernel: 2.6.32.12-115.fc12.i686.PAE
package: exaile-0.3.1.1-1.fc12
reason: tray.py:213:remove_current_track:AttributeError: 'Playlist' object has no attribute 'remove_tracks'
release: Fedora release 12 (Constantine)

backtrace
-----
tray.py:213:remove_current_track:AttributeError: 'Playlist' object has no attribute 'remove_tracks'

Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/exaile/xlgui/tray.py", line 101, in <lambda>
    callback=lambda *e: self.remove_current_track()
  File "/usr/lib/python2.6/site-packages/exaile/xlgui/tray.py", line 213, in remove_current_track
    playlist.remove_tracks([self.player.current])
AttributeError: 'Playlist' object has no attribute 'remove_tracks'

Local variables in innermost frame:
playlist: <Playlist object at 0x9350b1c (xlgui+playlist+Playlist at 0x90a4f30)>
self: <TrayIcon object at 0x9359eb4 (GtkStatusIcon at 0x93cc568)>
Comment 1 Jazbo 2010-05-19 18:12:37 EDT
Created attachment 415275 [details]
File: backtrace
Comment 2 Jazbo 2010-05-21 18:57:03 EDT
Package: exaile-0.3.1.1-1.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1.Trying to remove track from playlist in tray
2.
3.
Comment 3 Fedora Update System 2010-06-29 12:34:51 EDT
exaile-0.3.2.0-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/exaile-0.3.2.0-1.fc12
Comment 4 Fedora Update System 2010-06-30 11:15:24 EDT
exaile-0.3.2.0-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update exaile'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/exaile-0.3.2.0-1.fc12
Comment 5 Bug Zapper 2010-11-03 10:34:26 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2010-12-03 09:32:51 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.